Subject: Re: slightly different cygwin installation problem
From: "Gerrit P. Haase" <[email-masked]>
To: Daniel Newhouse <[email-masked]>
Cc: [email-masked]
Date: Sun, 14 Nov 2004 13:15:25 +0100

Daniel Newhouse wrote:
> I installed all the cygwin packages except for the X11
> packages (I set the X11 packages to uninstall) and
> although I installed successfully there were a couple
> of errors in the installation procedure.
> 
> I got an error message (in a Windows error message
> box) at one point telling me that it couldn't run
> something because the x11 dll was not found.

There are some packages requireing X11, ie. gtk2-x11.  Running the gtk2
postinstallscript requires X11 too.

> After okaying that it progressed to
> /etc/postinstall/post-texinf.sh where it hung for a
> few minutes until I got another error message where it
> said "This application could not run because #####.dll
> was not found."  I didn't write down what dll it was,
> but it wasn't the x11 dll.

You can easy check this, run the postinstall script again from the
command line before installing X11:
$ sh /etc/postinstall/post-texinf.sh.done

> Also, and someone else mentioned this, if I download
> the packages first and then try to run the
> installation from a local directory - it doesn't work.

Should make no difference, yes.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/